load Fig1C
mean_frate=mean(frates,1);
figure; clf; plot(tvec,mean_frate); hold on;

on=find(tvec>-300);
off=find(tvec<300);
maxfrate=max(mean_frate(on(1):off(end)));

plot([0 0],[0 maxfrate],'k');
plot([-300 300],thresh*[1 1],'r');
ylim([0 60]);
xlim([-300 300]);
xlabel('Time (ms)');
ylabel('Firing rate (Hz)');
title('Onset plot - Fig1C')


load Fig1D
%save Fig1D spec spk

figure; clf; ax=axes;
colormap(hot);
subplot(211);
imagesc(-500:499,1:128,spec)
xlabel('Time (ms)');
title('Fig1D')
subplot(212);
imagesc(spk);

load Fig1B

figure; clf; ax=axes;
colormap(hot);
subplot(211);
imagesc(-500:499,1:128,spec)
xlabel('Time (ms)');
title('Fig1B')
subplot(212);
imagesc(spk);




