
load Fig7A
string_length=6;
hf_dat_multi=figure; clf;colormap(gray)
hf_dat_multi_axes1=axes;
set(hf_dat_multi_axes1,'Visible','off','position',[0.1 0.81 .9 .19],'DrawMode','fast','box','off');
fcH.hf_dat_multi_image1=imagesc(spec);
axis tight;

set(hf_dat_multi_axes1,'YDir','normal','color',[0 0 0],'YColor',[1 1 1],'visible','on','box','off');
set(get(hf_dat_multi_axes1,'YLABEL'),'string','Frequency (kHz)');
hold on


hf_dat_multi_axes2=axes;
hf_dat_multi_image2=image(0);
hold on;

set(hf_dat_multi_axes2,'Visible','off','position',[0.1 0.01 .9 .77],'DrawMode','fast','box','off');
for i=1:L
    hf_dat_multi_line{i}=plot(0,0);
end
winsize=get(hf_dat_multi,'position');
DATwidth=winsize(3);

lDat=n*L;


set(hf_dat_multi_image2,'XData',[1 size(DATIs,1)],'YData',[1 size(DATIs,2)],'CData',DATIs'); % colormap(hot);
set(hf_dat_multi_axes2,'XLim',[1 size(DATIs,1)],'YLim',[1 size(DATIs,2)],'Visible','off');
axis(hf_dat_multi_axes2);
for i=1:L
    set(hf_dat_multi_line{i},'XData',[1 DATwidth+1],'YData',.5+(i-1)*n*[1 1],'color','r');
 s=sall{i};
    text(-text_offset, (L-i+.5)*n,s(1:min(length(s),string_length)),'color','r');
end
%%

load Fig7B
hf_dat_multi=figure; clf;colormap(gray)
hf_dat_multi_axes1=axes;
set(hf_dat_multi_axes1,'Visible','off','position',[0.1 0.81 .9 .19],'DrawMode','fast','box','off');
fcH.hf_dat_multi_image1=imagesc(spec);
axis tight;

set(hf_dat_multi_axes1,'YDir','normal','color',[0 0 0],'YColor',[1 1 1],'visible','on','box','off');
set(get(hf_dat_multi_axes1,'YLABEL'),'string','Frequency (kHz)');
hold on


hf_dat_multi_axes2=axes;
hf_dat_multi_image2=image(0);
hold on;

set(hf_dat_multi_axes2,'Visible','off','position',[0.1 0.01 .9 .77],'DrawMode','fast','box','off');
for i=1:L
    hf_dat_multi_line{i}=plot(0,0);
end
winsize=get(hf_dat_multi,'position');
DATwidth=winsize(3);

lDat=n*L;


set(hf_dat_multi_image2,'XData',[1 size(DATIs,1)],'YData',[1 size(DATIs,2)],'CData',DATIs'); % colormap(hot);
set(hf_dat_multi_axes2,'XLim',[1 size(DATIs,1)],'YLim',[1 size(DATIs,2)],'Visible','off');
axis(hf_dat_multi_axes2);
for i=1:L
    set(hf_dat_multi_line{i},'XData',[1 DATwidth+1],'YData',.5+(i-1)*n*[1 1],'color','r');
 s=sall{i};
    text(-text_offset, (L-i+.5)*n,s(1:min(length(s),string_length)),'color','r');
end


load Fig7stats
for j=1:size(Pads,1)
       el_1=el_sort(Pads(j,1));
    el_2=el_sort(Pads(j,2));
    [MCcov,MCcovsig,num_jacks]=func_help_CovJack(Cuall{j},sig_lev);
    [MCcov_shift,MCcovsig_shift,num_jacks]=func_help_CovJack(Cu_shiftall{j},sig_lev);
    figure(99-j);clf; plot(tvec,conv(MCcov,g,'same'));
    hold on; plot(tvec,conv(MCcovsig,g,'same'),'r');
    plot(tvec,conv(MCcov_shift,g,'same'),'b--');
    s1=Channel_names{el_1};
    s2=Channel_names{el_2};
    title([s1(1:min(str_length,length(s1))) ' -- ' s2(1:min(str_length,length(s2))) ]);
    xlabel('Time (ms)'); ylabel('Cross Covariance');
end

